package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkWork;
import com.ruoyi.system.domain.task.TkWorkExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkWorkMapper {
    long countByExample(TkWorkExample example);

    int deleteByExample(TkWorkExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkWork record);

    int insertSelective(TkWork record);

    List<TkWork> selectByExample(TkWorkExample example);

    TkWork selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkWork record, @Param("example") TkWorkExample example);

    int updateByExample(@Param("record") TkWork record, @Param("example") TkWorkExample example);

    int updateByPrimaryKeySelective(TkWork record);

    int updateByPrimaryKey(TkWork record);
}